Subject: FW: [magma] IGMPv3 Action on reception of records(rfc 3376 section6.4.1)

From: "Rolland Vida" <[email-masked]>
Date: Tue, 30 May 2006 00:28:23 +0200

Hi Ravikumar,
 
The Requested List can't be set to NULL in case of an IS_EX report.
Here's an example. 
Let's assume that we are in state Exclude (X,Y). A TO_EX (A) report
makes the router to transition in state Exclude (A-Y, Y*A) and a Q(MA,
A-Y) query is sent, with the timers of sources from A-Y lowered to LLQT.
Now assume that an IS_EX (B) report is received from a node, before the
LLQT expires. The correct behavior is for the router to transition in
state Exclude (B-(Y*A), Y*A*B). This would let a source "s", member of
A*B but not included in Y to remain in the Requested List. If its timer
expires, it is moved to the Exclude List; from then on, the source s
will be filtered.
 
As opposed to this, following your proposal the router would go to state
Exclude (NULL, Y*A*B). In this case the source s will not be filtered by
the router, although it should be.
 
This is only one example, but many similar scenarios exist.
 
Rolland
 
-----Original Message-----
From: ravikumar vj [mailto:[email-masked]] 
Sent: Monday, May 29, 2006 11:35 AM
To: Rolland Vida; [email-masked]
Subject: RE: [magma] IGMPv3 Action on reception of records(rfc 3376
section6.4.1)
 
Hello Rolland,
                     Thanks for the reply. I have read what u mentioned.
                     But still I have the same doubt.
                     I will try to elaborate on the same.
                    
                     In RFC 3810, section 2.3 two reasons are mentioned
for keeping 
          forward list. One is to transition from EXCLUDE to INCLUDE and

          second is to to allow the fast blocking of previously
unblocked sources .
                           In case, if the current Router state is
EXCLUDE (X,Y), and 
          when a report TO_EX (A) is received, a query will be send for
(A-Y) 
          ( Q(G,A-Y)). And it will be helpful for transitioning, (A-Y)
to exclude/ 
          non-forward list, in case there are no intrested receivers.
                     But in my case the incoming report is IS_EX(A) and
not TO_EX(A).
         In this case there will be no query send for (A-Y). So will it
be easier if 
         we make the final state EXCLUDE (NULL, Y * A) instead of 
         EXCLUDE (A -Y, Y * A).
         ( If any TO_IN(A) / ALLOW(A) / IS_IN (A) reports comes, 
         it will be used to update the forwarding list, which inturn 
         will be helpful in transitioning from EXCLUDE to INCLUDE on
group 
         timer expiry).
                             In simple words, keeping final state as
EXCLUDE (A-Y,Y*A)
         will be useful, if the incoming report is TO_EX, and will be
useless, if the 
         incoming report is IS_EX. Is that true?
 
Thanks in advance
Ravikumar V J

Rolland Vida <[email-masked]> wrote:
Hi Ravikumar,
 
Please have a look at section 2.3 of RFC 3810 on the MLDv2 protocol. The
text is a bit more explicit on the reasons why the so-called "Requested
List" should be kept. The reasons presented there are of course valid
for IGMPv3 as well. 
 
Cheers,
Rolland
 
-----Original Message-----
From: ravikumar vj [mailto:[email-masked]] 
Sent: Monday, May 22, 2006 4:34 PM
To: [email-masked]
Subject: [magma] IGMPv3 Action on reception of records(rfc 3376
section6.4.1)
 
Hi all,
         I have got a small doubt.
         If the current Router state is EXCLUDE (X,Y), and when a report

         IS_EX (A) is received, it is said in RFC 3376, section 6.4.1 to
change
         the state to EXCLUDE (A -Y, Y * A).
         My question is what is the need of keeping (A - Y), we could as
well
         keep NULL. What will be the impact if I keep NULL there?
Thanks in advance
Ravikumar V J

  _____  

Yahoo!
<http://us.rd.yahoo.com/mail_us/taglines/postman3/*http:/us.rd.yahoo.com
/evt=39666/*http:/messenger.yahoo.com>  Messenger with Voice.
PC-to-Phone calls for ridiculously low rates.
 
  _____  

Sneak preview the all-new
<http://us.rd.yahoo.com/evt=40762/*http:/www.yahoo.com/preview>
Yahoo.com. It's not radically different. Just radically better. 
_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: ravikumar vj <[email-masked]>
Date: Mon, 29 May 2006 23:09:58 -0700 (PDT)

Hello Rolland,
   
          Thanks for the answer.          
          I perfectly understood now.
          The doubt arised because, I dint pay much attention of setting timer of
          (A-X-Y) to GMI, in case of IS_EX, instead of (A-Y).
   
  Thanks a lot
  Ravikumar

Rolland Vida <[email-masked]> wrote:

    v\:* {behavior:url(#default#VML);}  o\:* {behavior:url(#default#VML);}  w\:* {behavior:url(#default#VML);}  .shape {behavior:url(#default#VML);}        st1\:*{behavior:url(#default#ieooui) }                Hi Ravikumar,
   
  The Requested List can’t be set to NULL in case of an IS_EX report. Here’s an example. 
  Let’s assume that we are in state Exclude (X,Y). A TO_EX (A) report makes the router to transition in state Exclude (A-Y, Y*A) and a Q(MA, A-Y) query is sent, with the timers of sources from A-Y lowered to LLQT. Now assume that an IS_EX (B) report is received from a node, before the LLQT expires. The correct behavior is for the router to transition in state Exclude (B-(Y*A), Y*A*B). This would let a source “s”, member of A*B but not included in Y to remain in the Requested List. If its timer expires, it is moved to the Exclude List; from then on, the source s will be filtered.
   
  As opposed to this, following your proposal the router would go to state Exclude (NULL, Y*A*B). In this case the source s will not be filtered by the router, although it should be.

  Rolland
   
    -----Original Message-----
From: ravikumar vj [mailto:[email-masked]] 
Sent: Monday, May 29, 2006 11:35 AM
To: Rolland Vida; [email-masked]
Subject: RE: [magma] IGMPv3 Action on reception of records(rfc 3376 section6.4.1)
   
    Hello Rolland,

                         In RFC 3810, section 2.3 two reasons are mentioned for keeping 

              second is to to allow the fast blocking of previously unblocked sources .

                               In case, if the current Router state is EXCLUDE (X,Y), and 

              when a report TO_EX (A) is received, a query will be send for (A-Y) 

              ( Q(G,A-Y)). And it will be helpful for transitioning, (A-Y) to exclude/ 

                         But in my case the incoming report is IS_EX(A) and not TO_EX(A).

             In this case there will be no query send for (A-Y). So will it be easier if 

             EXCLUDE (A -Y, Y * A).

             will be helpful in transitioning from EXCLUDE to INCLUDE on group 

             timer expiry).

                                 In simple words, keeping final state as EXCLUDE (A-Y,Y*A)

             will be useful, if the incoming report is TO_EX, and will be useless, if the 

      Thanks in advance

      Ravikumar V J

      Hi Ravikumar,

    Please have a look at section 2.3 of RFC 3810 on the MLDv2 protocol. The text is a bit more explicit on the reasons why the so-called “Requested List” should be kept. The reasons presented there are of course valid for IGMPv3 as well. 

    Cheers,

    Rolland

      -----Original Message-----
From: ravikumar vj [mailto:[email-masked]] 
Sent: Monday, May 22, 2006 4:34 PM
To: [email-masked]
Subject: [magma] IGMPv3 Action on reception of records(rfc 3376 section6.4.1)

      Hi all,

               IS_EX (A) is received, it is said in RFC 3376, section 6.4.1 to change

               My question is what is the need of keeping (A - Y), we could as well

      Thanks in advance

      Ravikumar V J

---------------------------------
  
    Yahoo! Messenger with Voice. PC-to-Phone calls for ridiculously low rates.

    
---------------------------------
  
  Sneak preview the all-new Yahoo.com. It's not radically different. Just radically better. 

---------------------------------
Blab-away for as little as 1¢/min. Make  PC-to-Phone Calls using Yahoo! Messenger with Voice.